import React, {useState, useEffect} from 'react';
import AddressList from '../../components/AddressList';
import axiosRequest from '../../utils/request';
import {ActivityIndicator} from "antd-mobile";
import './index.less'


const AddressBook = (props) => {
    const [loading, setLoading] = useState(false);
    const [data, setData] = useState([]);
    // const [type, setType] = useState('basic')

    // const {id} = props.match.params;

    // console.log(id, ss);

    const getData = () => {
        setLoading(true);
        axiosRequest({
            method: 'post',
            url: '/idtAppServiceV6/oApp/getDeptTree',
        }).then(res => {
            setLoading(false);
            setData(res)
        });
    };
    useEffect(() => {
        getData()
    }, []);

    const treeClick = (val) => {
        props.history.push(`/bord/address/${val}`)
    };
    return (
        <div>
            <ActivityIndicator
                toast
                text="加载中..."
                animating={loading}
            />
            <div className='adMainBox'>
                <AddressList data={data} onCLick={treeClick}/>
            </div>

        </div>
    );
};

export default AddressBook;

