import React, {useState, useEffect} from 'react';
import AddressUser from '../../components/AddressList/AddressUser';
import axiosRequest from '../../utils/request';
import {ActivityIndicator} from "antd-mobile";


const Communicate = (props) => {
    const [loading, setLoading] = useState(false);
    const [data, setData] = useState([]);
    const [title, setTitle] = useState([])

    const getData = (id) => {
        setLoading(true);
        axiosRequest({
            method: 'post',
            url: `/idtAppServiceV6/oApp/getSearchAddressBook?deptId=${id}`,
        }).then(res => {
            setLoading(false);
            setData(res.userList)
            setTitle(res.deptList)
        });
    };
    useEffect(() => {
        const {id} = props.match.params;
        getData(id)
    }, []);


    return (
        <div>
            <ActivityIndicator
                toast
                text="加载中..."
                animating={loading}
            />
            <div className='breadBox'>
                {title.length > 0 ? title[0].depts : ''}
                {/*<span className='currentLink'>科技创新委员会</span>*/}
                {/*<span className='symbol'>&gt;</span>*/}
                {/*<span>组织架构</span>*/}
                {/*<span className='symbol'>&gt;</span>*/}
                {/*<span>办公厅</span>*/}
            </div>
            <div className='adMainBox'>
                <AddressUser data={data}/>
            </div>

        </div>
    );
};

export default Communicate;

